#ifndef HPPWALKPLANNER_TESTDIRECTPATH_H
#define HPPWALKPLANNER_TESTDIRECTPATH_H

#include "KineoWorks2/kwsDPLinear.h"
#include "KineoModel/kppDeviceComponent.h"
#include "testDirectPath.h"

class CtestDirectPath {
public:
  /**
   \brief Initialization of the object: create a device and a steering method.
  */
  ktStatus init();

  /**
     \brief Get pointer to device
  */
  CkppDeviceComponentShPtr device() {
    return attDevice;
  };

  /**
     \brief Get pointer to steering method
  */
  CkwsSteeringMethodShPtr steeringMethod() {
    return attSteeringMethod;
  };

private:
  /**
     \brief create a device 

     Device is stored in parent class CtestKwsDirectPath.
  */
  ktStatus createDevice();
  
  /**
     \brief Create a FLatORiENTedINtErpolation steering method.

     Steering method is stored in parent class CtestKwsDirectPath.
  */
  ktStatus createSteeringMethod();

  /**
     \brief Device used to randomly generate configurations
  */
  CkppDeviceComponentShPtr attDevice;

  /**
     \brief Steering method to test
  */
  CkwsSteeringMethodShPtr attSteeringMethod;

};

#endif
